package com.huyi.service.base.service;

import com.huyi.service.base.entity.SysUserCompanyRel;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: ISysUserCompanyRelService<br>
 * Description: SysUserCompanyRelService接口 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-21  songqg    由Generator自动创建
 */
public interface ISysUserCompanyRelService extends IService<SysUserCompanyRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     * @return IPage<SysUserCompanyRel>
     */
    IPage<SysUserCompanyRel> findSysUserCompanyRels(QueryRequest request, LambdaQueryWrapper<SysUserCompanyRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     * @return List<SysUserCompanyRel>
     */
    List<SysUserCompanyRel> findSysUserCompanyRels(LambdaQueryWrapper<SysUserCompanyRel> wrapper);

    /**
     * 新增
     *
     * @param sysUserCompanyRel sysUserCompanyRel
     */
    void createSysUserCompanyRel(SysUserCompanyRel sysUserCompanyRel);

    /**
     * 修改
     *
     * @param sysUserCompanyRel sysUserCompanyRel
     */
    void updateSysUserCompanyRel(SysUserCompanyRel sysUserCompanyRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     */
    void deleteSysUserCompanyRel(LambdaQueryWrapper<SysUserCompanyRel> wrapper);
}
