package com.huyi.service.base.service;

import com.huyi.service.base.entity.SysUser;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: ISysUserService<br>
 * Description: SysUserService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-23  xuefy    由Generator自动创建
 */
public interface ISysUserService extends IService<SysUser> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysUser>
     * @return IPage<SysUser>
     */
    IPage<SysUser> findSysUsers(QueryRequest request, LambdaQueryWrapper<SysUser> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysUser>
     * @return List<SysUser>
     */
    List<SysUser> findSysUsers(LambdaQueryWrapper<SysUser> wrapper);

    /**
     * 新增
     *
     * @param sysUser sysUser
     */
    void createSysUser(SysUser sysUser);

    /**
     * 修改
     *
     * @param sysUser sysUser
     */
    void updateSysUser(SysUser sysUser);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysUser>
     */
    void deleteSysUser(LambdaQueryWrapper<SysUser> wrapper);
}
