package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcFinanceProConRel;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcFinanceProConRelService<br>
 * Description: ZcFinanceProConRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceProConRelService extends IService<ZcFinanceProConRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceProConRel>
     * @return IPage<ZcFinanceProConRel>
     */
    IPage<ZcFinanceProConRel> findZcFinanceProConRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceProConRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProConRel>
     * @return List<ZcFinanceProConRel>
     */
    List<ZcFinanceProConRel> findZcFinanceProConRels(LambdaQueryWrapper<ZcFinanceProConRel> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceProConRel zcFinanceProConRel
     */
    void createZcFinanceProConRel(ZcFinanceProConRel zcFinanceProConRel);

    /**
     * 修改
     *
     * @param zcFinanceProConRel zcFinanceProConRel
     */
    void updateZcFinanceProConRel(ZcFinanceProConRel zcFinanceProConRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProConRel>
     */
    void deleteZcFinanceProConRel(LambdaQueryWrapper<ZcFinanceProConRel> wrapper);
}
