package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcFinanceRecord;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcFinanceRecordService<br>
 * Description: ZcFinanceRecordService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceRecordService extends IService<ZcFinanceRecord> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceRecord>
     * @return IPage<ZcFinanceRecord>
     */
    IPage<ZcFinanceRecord> findZcFinanceRecords(QueryRequest request, LambdaQueryWrapper<ZcFinanceRecord> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceRecord>
     * @return List<ZcFinanceRecord>
     */
    List<ZcFinanceRecord> findZcFinanceRecords(LambdaQueryWrapper<ZcFinanceRecord> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceRecord zcFinanceRecord
     */
    void createZcFinanceRecord(ZcFinanceRecord zcFinanceRecord);

    /**
     * 修改
     *
     * @param zcFinanceRecord zcFinanceRecord
     */
    void updateZcFinanceRecord(ZcFinanceRecord zcFinanceRecord);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceRecord>
     */
    void deleteZcFinanceRecord(LambdaQueryWrapper<ZcFinanceRecord> wrapper);
}
