package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcInvoiceInf;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcInvoiceInfService<br>
 * Description: ZcInvoiceInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-18  xuefy    由Generator自动创建
 */
public interface IZcInvoiceInfService extends IService<ZcInvoiceInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcInvoiceInf>
     * @return IPage<ZcInvoiceInf>
     */
    IPage<ZcInvoiceInf> findZcInvoiceInfs(QueryRequest request, LambdaQueryWrapper<ZcInvoiceInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcInvoiceInf>
     * @return List<ZcInvoiceInf>
     */
    List<ZcInvoiceInf> findZcInvoiceInfs(LambdaQueryWrapper<ZcInvoiceInf> wrapper);

    /**
     * 新增
     *
     * @param zcInvoiceInf zcInvoiceInf
     */
    void createZcInvoiceInf(ZcInvoiceInf zcInvoiceInf);

    /**
     * 修改
     *
     * @param zcInvoiceInf zcInvoiceInf
     */
    void updateZcInvoiceInf(ZcInvoiceInf zcInvoiceInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcInvoiceInf>
     */
    void deleteZcInvoiceInf(LambdaQueryWrapper<ZcInvoiceInf> wrapper);
}
