package com.huyi.service.creditLine.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CreditLineMapper {


    /**
     * 查询授信额度列表(分页
     *
     * @param
     * @return 授信额度集合
     */
    public IPage<Map> selectCreditLineList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询授信额度列表
     *
     * @param
     * @return 授信额度集合
     */
    public List<Map> selectCreditLineDetail(@Param("paramMap") Map map);

}
