package com.huyi.service.creditLine.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CreditLineService {


    /**
     * 查询授信额度列表(分页
     *
     * @param
     * @return 收开票信息集合
     */
    public IPage<Map> selectCreditLineList(Map map, QueryRequest request);

    /**
     * 查询授信额度列表
     *
     * @param
     * @return 授信额度集合
     */
    public List<Map> selectCreditLineDetail(Map map);
}
