package com.huyi.service.financeProduct.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huyi.service.base.entity.ZcFinanceProduct;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 融资产品Mapper接口
 * 
 * @author ch
 * @date 2021-08-17
 */
public interface OwnFinanceProductMapper
{

    /**
     * 查询融资产品列表
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> selectFinanceProductList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询创建者名称
     * @param map
     * @return
     */
    public Map selectUserName(Map map);
}
