package com.huyi.service.financeRecord.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface FinanceRecordService {


    /**
     * 查询融资产品列表
     *
     * @param
     * @return 融资产品集合
     */
    public IPage<Map> selectFinanceRecordList(Map map, QueryRequest request);

    /**
     * 查询往来账款
     * @param map
     * @return
     */
    public List<Map> selectBillInfList(Map map);
}
