package com.huyi.service.financeRecord.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huyi.service.creditLine.mapper.CreditLineMapper;
import com.huyi.service.creditLine.service.CreditLineService;
import com.huyi.service.financeRecord.mapper.FinanceRecordMapper;
import com.huyi.service.financeRecord.service.FinanceRecordService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class FinanceRecordServiceImpl implements FinanceRecordService {
    @Autowired
    private FinanceRecordMapper financeRecordMapper;


    @Override
    public IPage<Map> selectFinanceRecordList(Map map, QueryRequest request) {
        Page page = new Page<>(request.getPageNum(), request.getPageSize());
        return financeRecordMapper.selectFinanceRecordList(page,map);
    }


    @Override
    public List<Map> selectBillInfList(Map map){
        return financeRecordMapper.selectBillInfList(map);
    }
}
