package com.huyi.service.rel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huyi.service.base.entity.SysCompanyRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 企业链属关系表 Mapper 接口
 * </p>
 *
 * @author songqg
 * @since 2021-08-16
 */
public interface OwnCompanyRelMapper extends BaseMapper<SysCompanyRel> {

    /**
     * 查询链属信息
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> selectCompanyRelList(Page<Map> page, @Param("paramMap")Map map);
}
