package com.huyi.service.supplierCreditLine.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface SupplierCreditLineMapper {


    /**
     * 查询供应商授信额度列表(分页
     *
     * @param
     * @return 授信额度集合
     */
    public IPage<Map> selectSupplierCreditLineList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询供应商授信额度列表
     *
     * @param
     * @return 授信额度集合
     */
    public List<Map> selectSupplierCreditLineDetail(@Param("paramMap") Map map);

    /**
     * 查询此核心企业下的链属供应商
     * @param map
     * @return
     */
    List<Map> listCompanyRel(@Param("paramMap") Map map);

}
