package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 授信额度所需合同关联表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_quota_con_rel")
public class ZcFinanceQuotaConRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 授信(zc_finance_pro_com_rel.zfpcr_id)
     */
    @TableId("zfqcr_credit_id")
    private String zfqcrCreditId;

    /**
     * 合同(zc_finance_contract.zfc_id)
     */
    @TableField("zfqcr_contract_id")
    private String zfqcrContractId;


}
