package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcFinanceSupplierQuota;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcFinanceSupplierQuotaService<br>
 * Description: ZcFinanceSupplierQuotaService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-21  xuefy    由Generator自动创建
 */
public interface IZcFinanceSupplierQuotaService extends IService<ZcFinanceSupplierQuota> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceSupplierQuota>
     * @return IPage<ZcFinanceSupplierQuota>
     */
    IPage<ZcFinanceSupplierQuota> findZcFinanceSupplierQuotas(QueryRequest request, LambdaQueryWrapper<ZcFinanceSupplierQuota> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceSupplierQuota>
     * @return List<ZcFinanceSupplierQuota>
     */
    List<ZcFinanceSupplierQuota> findZcFinanceSupplierQuotas(LambdaQueryWrapper<ZcFinanceSupplierQuota> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceSupplierQuota zcFinanceSupplierQuota
     */
    void createZcFinanceSupplierQuota(ZcFinanceSupplierQuota zcFinanceSupplierQuota);

    /**
     * 修改
     *
     * @param zcFinanceSupplierQuota zcFinanceSupplierQuota
     */
    void updateZcFinanceSupplierQuota(ZcFinanceSupplierQuota zcFinanceSupplierQuota);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceSupplierQuota>
     */
    void deleteZcFinanceSupplierQuota(LambdaQueryWrapper<ZcFinanceSupplierQuota> wrapper);
}
