package com.huyi.service.bill.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huyi.service.base.entity.ZcInvoiceInf;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface IOwnBillService {


    /**
     * 往来账款查询
     * @param map
     * @param request
     * @return
     */
    public IPage<Map> selectBillInfList(Map map, QueryRequest request);

    /**
     * 获取发票信息
     * @param file
     * @return
     */
    public ZcInvoiceInf getInvoice(MultipartFile file);

    /**
     * 发票验真
     * @param zcInvoiceInf
     * @return
     */
    public ZcInvoiceInf invoiceVerification(ZcInvoiceInf zcInvoiceInf);
}
