package com.huyi.service.contract.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 合同Mapper接口
 * 
 * @author ch
 * @date 2021-08-17
 */
public interface OwnContractMapper
{

    /**
     * 查询合同列表
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> selectContractList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询创建者名称
     * @param map
     * @return
     */
    public Map selectUserName(Map map);
}
