package com.huyi.service.creditLine.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huyi.service.creditLine.mapper.CreditLineMapper;
import com.huyi.service.creditLine.service.CreditLineService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CreditLineServiceImpl implements CreditLineService {
    @Autowired
    private CreditLineMapper creditLineMapper;


    @Override
    public IPage<Map> selectCreditLineList(Map map, QueryRequest request) {
        Page page = new Page<>(request.getPageNum(), request.getPageSize());
        return creditLineMapper.selectCreditLineList(page,map);
    }

    @Override
    public List<Map> selectCreditLineDetail(Map map){
        return creditLineMapper.selectCreditLineDetail(map);
    }
}
