package com.huyi.service.financeProduct.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.Map;

/**
 * 融资产品Service接口
 * 
 * @author ch
 * @date 2021-08-17
 */
public interface IOwnFinanceProductService
{
    /**
     * 查询融资产品列表
     * @param request
     * @param map
     * @return
     */
    public IPage<Map> selectFinanceProductList(Map map, QueryRequest request);

    /**
     * 查询创建者名称
     * @param map
     * @return
     */
    public Map selectUserName(Map map);

}
