package com.huyi.service.financeRecord.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface FinanceRecordMapper {


    /**
     * 查询授融资信息列表
     *
     * @param
     * @return 融资集合
     */
    public IPage<Map> selectFinanceRecordList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询往来账款
     * @param map
     * @return
     */
    public List<Map> selectBillInfList(@Param("paramMap") Map map);

}
