package com.huyi.service.supplierCreditLine.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SupplierCreditLineService {


    /**
     * 查询供应商授信额度列表(分页
     *
     * @param
     * @return 收开票信息集合
     */
    public IPage<Map> selectSupplierCreditLineList(Map map, QueryRequest request);

    /**
     * 查询供应商授信额度列表
     *
     * @param
     * @return 授信额度集合
     */
    public List<Map> selectSupplierCreditLineDetail(Map map);

    /**
     * 查询此核心企业下的链属供应商
     * @param map
     * @return
     */
    List<Map> listCompanyRel(Map map);
}
